Skip to main content

EBT Reversal (Void) with Transaction ID


Reverse a PIN debit EBT purchase. You can reverse these types of transactions: a purchase from a cash benefits account, a purchase from a SNAP account, a purchase manually entered from a SNAP account, and an electronic voucher purchase from a SNAP account. Send the reversal request to the voids endpoint.

Endpoints

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

The {id} is the transaction ID returned in the purchase response.

Example

{  "clientReferenceInformation": {    "code": "ABC1234",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "22.22",      "currency": "USD"    }  },  "paymentInformation": {    "paymentType": {      "subTypeName": "DEBIT",      "name": "CARD"    }  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/payments/7418942961476872303814"    }  },  "clientReferenceInformation": {    "code": "ABC1234"  },  "id": "7418942961476872303814",  "orderInformation": {    "amountDetails": {      "currency": "usd"    }  },  "processorInformation": {    "retrievalReferenceNumber": "123456490645",    "responseCode": "00"  },  "reconciliationId": "7418940234946082403813",  "status": "REVERSED",  "submitTimeUtc": "2025-03-13T19:31:36Z",  "voidAmountDetails": {    "currency": "usd",    "voidAmount": "22.22"  }}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.

Last published: September 29, 2026